Añadir direcciones a la lista negra
Add one or more addresses to your blacklist.
Autorizaciones
API-KeystringRequerido
Cuerpo
Respuestas
200
Response. A non-zero code indicates a business error even when the HTTP status is 200.
application/json
codeintegerOpcionalExample:
The status code of this request. For all possible codes and corresponding errors/messages, see https://docs.compliance.phalcon.blocksec.com/api-documentation/introduction/error-messages.
0msgstringOpcionalExample:
The message of this request. For all possible codes and corresponding errors/messages, see https://docs.compliance.phalcon.blocksec.com/api-documentation/introduction/error-messages.
Success401
Authentication failed. The API-Key header is missing or invalid.
429
Rate limit exceeded. Reduce the request rate and retry.
post/blacklists/add
POST /phalcon/compliance/v2/blacklists/add HTTP/1.1
Host: api.blocksec.com
API-Key: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 115
{
"addresses": [
{
"address": "0x00d8e6012a1d05d1a160deb8d54ef04a0d2a6cb3",
"chainId": 1,
"reason": "fraud investigation"
}
]
}{
"code": 0,
"msg": "Success",
"data": {
"addedAddresses": [
{
"address": "0x00d8e6012a1d05d1a160deb8d54ef04a0d2a6cb3",
"chainId": 1,
"reason": "Test"
}
]
}
}Última actualización